kst (2.0.8-4) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to provide full GCC hardening.
      - Fix a FTCBFS. Added QT_SELECT variable to build package with QT tools.
        Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #938942)
      - Removed DEB_LDFLAGS_MAINT_APPEND variable because '-Wl,--as-needed'
        linker flag is unnecessary because it is default to debian 11 or later.
      - Removed '--parallel' argument passed to dh because it is default since
        DH level 10.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 11 Aug 2020 11:50:29 -0300

kst (2.0.8-3) unstable; urgency=medium

  * QA upload.
  * Add upstream_Fix-build-with-Qt-5.11.patch to fix build with recent
    Qt version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Aug 2018 21:02:45 +0200

kst (2.0.8-2) unstable; urgency=low

  * QA upload.
  * Switch to Qt5. (Closes: #874994)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Nov 2017 14:13:26 +0200

kst (2.0.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update watch file, to consider also "Kst"-named tarballs.
  * Update the patches:
    - hyphen-used-as-minus-sign.diff: replace with upstream commit
      66b254a9a553d83c8d3681cc5f3910496defaca0; patch
      upstream_Fix-hypens-used-as-minus-signs.patch
    - fix-qreal-vs-double-for-arm.diff: drop, obsolete
    - fix-cmake-3.0.diff: replace with upstream commit
      ced703c13f4e9ffe161e7e3c99931c235a27a6b9; patch
      upstream_Guard-against-empty-cmake-generator-expressions.patch
    - gsl-2.0-ftbfs: refresh
    - cmake-fix-version.diff: drop, no more needed
    - qreal-fixes-extra.diff: drop, obsolete
  * Do not pass --sourcedirectory=cmake to dh anymore, since the cmake build
    system is on the top-level now.
  * Add the qt4-dev-tools build dependency, needed to build the translations.
  * Backport upstream commits 16d4aea302e9f9eeca86e3ad72f448b8303d31b5 and
    1365ccf2fd2da59025be623b97b7207f95ba8884 to fix all the qreal/double
    issues; patches upstream_Fix-some-qreal-issues.patch and
    upstream_Fix-another-qreal-double-issue.patch.
  * Small copyright updates.
  * Backport upstream commit 9d03b1a9e92d8212e7c7729d49704de3f75360ee to add
    the %f placeholder to the Exec key in the desktop file; patch
    upstream_desktop-add-f-placeholder-for-Exec.patch.
  * Update lintian overrides.
  * Stop shipping the kde3 mime type file (which is even installed in the
    wrong directory).

 -- Pino Toscano <pino@debian.org>  Sat, 01 Jul 2017 18:06:44 +0200

kst (2.0.6-2) unstable; urgency=medium

  * QA upload.
  * Fix more qreal issues on armel/armhf/sh4; patch qreal-fixes-extra.diff.
    (Closes: #866370)

 -- Pino Toscano <pino@debian.org>  Thu, 29 Jun 2017 19:59:24 +0200

kst (2.0.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release:
    - provides a menu icon (LP: #926816)
  * Update the patches:
    - desktop-entry-lacks-main-category.diff: drop, no more needed
    - desktop-entry-contains-encoding-key.diff: drop, fixed upstream
    - hyphen-used-as-minus-sign.diff: refresh
    - fix-qreal-vs-double-for-arm.diff: refresh
    - fix-cmake-3.0.diff: refresh
    - gsl-2.0-ftbfs: refresh
  * Pass -Dkst_svnversion=OFF to cmake, as there is no svn available during
    the build.
  * Add more build dependencies:
    - pkg-config: already implicitly used
    - libmatio-dev: to enable more features
  * Enable parallel build.
  * Fix the version reported when building with cmake; patch
    cmake-fix-version.diff.
  * Fold the libkst2core2, libkst2math2, and libkst2widgets2 binaries in the
    kst binary: they are private libraries, with no real development stuff
    associated. (LP: #1155122)
  * Fold the kst-data binary into the kst binary, as there are not many data
    left there (less than 400KB, compared to 10+MB of kst).
  * Directly install to the kst destdir, since all the files go there now:
    - remove unneeded files, such as development symlinks and static libraries
  * Stop shipping the kde3 menu file.
  * Update lintian overrides.
  * Add "Multi-Arch: foreign" in kst-doc, for what is worth...
  * Update Homepage field.
  * Do not compress the examples in kst-doc, since there is not much space
    gain.
  * Small copyright updates.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Jun 2017 20:14:59 +0200

kst (2.0.3-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Bump Standards-version to 3.9.6, no changes needed.

  [ Ian Lane ]
  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.
  * Fix FTBFS due to changed gsl_multifit_covar.  (Closes: #805799)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Jan 2016 16:06:40 +0100

kst (2.0.3-4) unstable; urgency=medium

  * QA upload.
  * Build-depends on libcfitsio-dev instead of libcfitsio3-dev. (Closes:
    #761712)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 May 2015 11:12:12 +0200

kst (2.0.3-3) unstable; urgency=medium

  * QA upload.
  * Fix building against cmake 3.0 harder. (Closes: #763242)
    - Extend debian/patches/fix-cmake-3.0.diff

 -- Felix Geyer <fgeyer@debian.org>  Wed, 01 Oct 2014 22:29:20 +0200

kst (2.0.3-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group, package has been orphaned.
  * Fix building against cmake 3.0.
    - Add debian/patches/fix-cmake-3.0.diff

 -- Felix Geyer <fgeyer@debian.org>  Wed, 13 Aug 2014 23:25:57 +0200

kst (2.0.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "missing Breaks+Replaces: kst-bin (<< 2.0.3)": add  Breaks+Replaces to
    kst-data, thanks Andreas Beckmann.
    (Closes: #632443)

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 Nov 2012 18:38:12 +0100

kst (2.0.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Build-depends: libgetdata-dev (Closes: #556990)
  * Bump Standards-Version to 3.9.3 (no changes)
  * Bump debhelper compat level to 9
  * Drop fragile *.symbols files
  * debian/rules updated to ensure dpkg-buildflags (e.g. hardening) works
  * debian/copyright updated to fully comply with
    http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

 -- Michael Milligan <mmilligan@astro.umn.edu>  Wed, 13 Jun 2012 21:39:58 -0500

kst (2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add debian/patches/fix-qreal-vs-double-for-arm.diff from Peter Green to
    fix FTBFS on armel and armhf (Closes: #646423)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Dec 2011 00:45:25 -0500

kst (2.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #604335)
  * New maintainer (Closes: #589685)
  * Reworked debian/copyright using DEP-5 and adding missing entries
  * Reworked debian/rules using dh and 3.0 (quilt) source format
    Tested with binutils-gold (Closes: #615738)
  * Bump compat level to 7
  * Change Section from x11 to science
  * Bump Standards-Version to 3.9.2 (add Homepage field)
  * Update descriptions
  * Add Build-Depends on cmake
  * Remove Build-Depends on libncurses5-dev (Closes: #553793)
  * Remove Build-Depends on kdelibs4-dev, libqt3-mt-dev, libx11-dev, 
    zlib1g-dev, g++, autoconf, autotools-dev, automake1.9, libtool, 
    libncurses5-dev, doxygen, qt3-doc
  * Remove packages: kst-bin, kst-plugins, libkst1c2, libkst1-dev
  * New packages: kst-data, libkst2core2, libkst2math2, libkst2widgets2
  * Update version and url for debian/watch
  * Add *.symbols files
  * Update debian/examples/example.kst (kst2 is can not read kst1 files)
  * New patches solving lintian warnings:
    + desktop-entry-contains-encoding-key.diff
    + desktop-entry-lacks-main-category.diff
    + hyphen-used-as-minus-sign.diff

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 27 Jun 2011 17:28:28 -0500

kst (1.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch for FTBFS (Closes: 543018). Thanks to Ilya Barygin
    <barygin@gmail.com> for the patch.
  * Bump debian/compat to 5.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 14 May 2010 23:51:22 +0200

kst (1.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Mark Hymers <mhy@debian.org>  Sun, 20 Jul 2008 10:18:48 +0100

kst (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Change B-D to libnetcdf-dev.
  * Add dh_icons call.  Closes: #457853.
  * Bump Standards-Version to 3.8.0.
  * Bump debhelper dependency for dh_icons.

 -- Mark Hymers <mhy@debian.org>  Sat, 28 Jun 2008 15:16:16 +0100

kst (1.5.0-2) unstable; urgency=low

  * Remove dpatch support and merge changes into main tree.  This package is
    now maintained in git.

 -- Mark Hymers <mhy@debian.org>  Sat, 10 May 2008 22:02:07 +0100

kst (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standard-Version to 3.7.3.
  * Change menu file to use Applications/Science/Data Analysis instead
    of Apps/Science

 -- Mark Hymers <mhy@debian.org>  Mon, 10 Dec 2007 20:35:38 +0000

kst (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Remove spurious Build-Dep on g77.  Closes: #430180.

 -- Mark Hymers <mhy@debian.org>  Mon, 23 Jul 2007 18:08:57 +0100

kst (1.3.1-2) unstable; urgency=low

  * Change to use libcfitsio3 instead of libcfitsio2.  Closes: #413123.
  * The "I'm bound to screw up my first non-sponsored upload" release.

 -- Mark Hymers <mhy@debian.org>  Sat,  7 Apr 2007 22:58:05 +0100

kst (1.3.1-1) unstable; urgency=low

  * New upstream release. 

 -- Mark Hymers <mark@hymers.org.uk>  Fri,  3 Nov 2006 23:07:26 +0000

kst (1.3.0-1) unstable; urgency=low

  * New upstream release.  Closes: #389955.

 -- Mark Hymers <mark@hymers.org.uk>  Sun,  8 Oct 2006 14:10:19 +0100

kst (1.2.1-2) unstable; urgency=low

  * Update upstream homepage address in debian/control.
  * Add a kst.desktop file
  * Update README.Debian documentation location to reflect reality.
  * Don't compress .docbook files otherwise khelpcentre becomes really
    unhappy.  Closes: #368725.
  * Bump standards version to 3.7.2; no changes needed.
  * Add dpatch to make build with autoconf 2.60. 
  * Stop using --enable-new-ldflags as it breaks linking with libgsl and
    libgslcblas with newer versions of gsl. 

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sun, 16 Jul 2006 15:01:42 +0100

kst (1.2.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #361115)

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sun, 16 Apr 2006 15:13:25 +0100

kst (1.1.1-3) unstable; urgency=low

  * Make libkst-dev Replace libkst0 and libkst1 due to file moves
    (Closes: #353316)

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Tue, 28 Feb 2006 21:49:38 +0000

kst (1.1.1-2) unstable; urgency=low

  * Update admin/ files so that we can build on GNU/k*BSD (Closes: #347187)
  * Use -Wl,--as-needed by using --enable-new-ldflags at configure time
  * Remove gyrodata.dat in clean target

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sat, 14 Jan 2006 16:56:13 +0000

kst (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.  Thanks to LaMont Jones.
  * Bump standards version to 3.6.2; no changes needed.
  * Update FSF address in debian/copyright to satisfy lintian.
  * Correct typo in d2asc manpage.
  * Remove g++-3.4 Build-Depends for [arm hppa m68k] and replace with a
    general one on  g++ >= 4:4.0.2-2 which is supposed to fix the FTBFS
    on these architectures.  Closes: #342998.
  * Introduce dpatch into the package.
  * Fix buffer creation. Many thanks to Josh Metzler who was the person who
    finally managed to track this down.  Closes: #329231.
  * Make sure we ship the .so symlinks and .la files in the -dev package.
    This means that the -dev packages has to be Architecture: any and
    necessitates a Conflicts/Replaces pair with older versions (due to the .la
    files moving from libkst1 to libkst1-dev).  Also fix up the -dev package
    in general.

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Thu, 29 Dec 2005 13:39:49 +0000

kst (1.1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * work around gcc-4.0 FTBFS on some architectures

 -- LaMont Jones <lamont@debian.org>  Fri, 14 Oct 2005 19:28:35 +0000

kst (1.1.0-2) unstable; urgency=low

  * Recompile for the G++ ABI transition
  * Rename libkst1 to libkst1c2
  * Move the libkst1 and libkst1-dev README.Debian files so that the
    right ones are in the right packages
  * Correct section for libkst1-dev to be libdevel

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Tue, 23 Aug 2005 21:57:53 +0100

kst (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Ship all translations.  Closes: #310430

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sun, 29 May 2005 10:14:32 +0100

kst (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * As kst is now stable, allow to progress into testing when ready
     Closes: #273602
  * Update example file to new kst-1.0.0 format (PSD changes)

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Mon, 27 Dec 2004 10:47:34 +0000

kst (0.99-1) unstable; urgency=low

  * Initial Debian Release.  Closes: #246538

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Thu, 26 Aug 2004 15:45:52 +0100

